### Method

# Gimp Image get_selected_drawables

since: 3.0.0

#### Declaration [src]

    GimpDrawable**
    gimp_image_get_selected_drawables (
      GimpImage* image
    )

#### Description [src]

Get the image’s selected drawables

This procedure returns the list of selected drawable in the specified image. This can be either layers, channels, or a layer mask. The active drawables are the active image channels. If there are none, these are the active image layers. If the active image layer has a layer mask and the layer mask is in edit mode, then the layer mask is the active drawable.

Available since: 3.0.0

#### Return value

Type: An array of `None`

         The list of selected drawables in the image.
         The returned value must be freed with g_free().

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data container, but not the data inside it.